Summary:    A library for using PKCS
Name:       pkcs11-helper
Version:    1.29.0
Release:    1%{?dist}
License:    GPLv2 or BSD
URL:        http://www.opensc-project.org/opensc/wiki/pkcs11-helper
Source0:    https://github.com/OpenSC/pkcs11-helper/releases/download/pkcs11-helper-%{version}/pkcs11-helper-%{version}.tar.bz2
Patch3001:  pkcs11-helper-rfc7512.patch
BuildRequires: make, gcc
BuildRequires: doxygen, graphviz, openssl-devel



%description
pkcs11-helper is a library that simplifies the interaction with PKCS#11
providers for end-user applications using a simple API and optional OpenSSL
engine. The library allows using multiple PKCS#11 providers at the same time,
enumerating available token certificates, or selecting a certificate directly
by serialized id, handling card removal and card insert events, handling card
re-insert to a different slot, supporting session expiration and much more all
using a simple API. 

%package  devel
Summary:  Development files for pkcs11-helper
Requires: %{name} = %{version}-%{release}
Requires: openssl-devel
Requires: automake

%description    devel
This package contains header files and documentation necessary for developing
programs using the pkcs11-helper library.



%prep
%autosetup -p1



%build
%configure --disable-static --enable-doc
%make_build



%install
%make_install



mkdir apidocdir
mv %{buildroot}%{_datadir}/doc/%{name}/api/ apidocdir/
rm -rf %{buildroot}%{_datadir}/doc/%{name}/
rm -f %{buildroot}%{_libdir}/*.la



%files
%license COPYING*
%doc AUTHORS ChangeLog README THANKS
%{_libdir}/libpkcs11-helper.so.1*

%files devel
%doc apidocdir/*
%{_libdir}/libpkcs11-helper.so
%{_libdir}/pkgconfig/libpkcs11-helper-1.pc
%{_includedir}/pkcs11-helper-1.0/
%{_datadir}/aclocal/pkcs11-helper-1.m4
%{_mandir}/man8/pkcs11-helper-1.8*



%changelog
* Wed Nov 22 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.29.0-1
- initial